function varargout = KJgui_grafy(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @KJgui_grafy_OpeningFcn, ...
                   'gui_OutputFcn',  @KJgui_grafy_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end



% --- Executes just before KJgui_grafy is made visible.
function KJgui_grafy_OpeningFcn(hObject, eventdata, handles, varargin)

% Choose default command line output for KJgui_grafy
handles.output = hObject;
axes(handles.axes2)
imshow('picture/grafy.png')

% Update handles structure
guidata(hObject, handles);



function varargout = KJgui_grafy_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


% --- Executes on selection change in popupmenu_grafy1.
function popupmenu_grafy1_Callback(hObject, eventdata, handles)


% --- Executes during object creation, after setting all properties.
function popupmenu_grafy1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)

cislo_grafu=get (handles.popupmenu_grafy1,'Value');
graf=cislo_grafu;

tout_ZP=evalin('base', 'tout_ZP');
tout_LP=evalin('base', 'tout_LP');
max_tout_ZP=max(tout_ZP)/3600;
max_tout_LP=max(tout_LP)/3600;
axes(handles.axes1)
if graf == 1
hold off;
KJ_1stupen_ZP=evalin('base', 'KJ_1stupen_ZP');
KJ_2stupen_ZP=evalin('base', 'KJ_2stupen_ZP');

plot(tout_ZP/3600,KJ_1stupen_ZP, 'Color',[0 0 1], 'LineWidth',3);hold on;
plot((tout_ZP/3600),KJ_2stupen_ZP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
ylim([0 1.1]);
set(gca,'XTick',[0:1:max_tout_ZP])
set(gca,'YTick',[0:1:1])
box on;
grid on;
title('Prbh spoutn KJ - zimn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('on/off [-]')
xlabel('t [h]')
legend('Stirling. mot.','pikovac kotel', 'Location', 'southeast');

elseif graf == 2
hold off;
UT_cp_ZP=evalin('base', 'UT_cp_ZP');
TUV_cp_ZP=evalin('base', 'TUV_cp_ZP');

plot(tout_ZP/3600,UT_cp_ZP, 'Color',[0 0 1], 'LineWidth',3);hold on;
plot((tout_ZP/3600),TUV_cp_ZP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
ylim([0 1.1]);
set(gca,'XTick',[0:1:max_tout_ZP])
set(gca,'YTick',[0:1:1])
box on;
grid on;
title('asov plny T a TUV - zimn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('on/off [-]')
xlabel('t [h]')
legend('T','TUV', 'Location', 'west');

elseif graf == 3
hold off;
Q_kj_ZP=evalin('base', 'Q_kj_ZP');    
E_kj_ZP=evalin('base', 'E_kj_ZP');

plot((tout_ZP/3600),Q_kj_ZP/1e6/3.6, 'Color',[1 0 0], 'LineWidth',2);hold on;
plot((tout_ZP/3600),E_kj_ZP, 'Color',[0 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Vyroben teplo a elektina KJ - zimn provoz', 'FontSize',10, 'FontName', 'Arial')
ylabel('Q_k_j , E_k_j [kWh]')
xlabel('t [h]')    
legend('Teplo','Elektina', 'Location', 'west');

elseif graf == 4
hold off;
Tan_ZP=evalin('base', 'Tan_ZP');

plot(tout_ZP/3600,Tan_ZP, 'LineWidth',2);
xlim([0 max_tout_ZP]);
ylim([30 70]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Rozloen teploty vody v akumulan ndri - zimn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_a_n [C]')
xlabel('t [h]')

elseif graf == 5
hold off;
T_tuv_ZP=evalin('base', 'T_tuv_ZP');

plot(tout_ZP/3600,T_tuv_ZP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
ylim([50 70]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Prbh teploty TUV - zimn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_t_u_v [C]')
xlabel('t [h]')

elseif graf == 6
hold off;
T_ut1_ZP=evalin('base', 'T_ut1_ZP');
T_ut2_ZP=evalin('base', 'T_ut2_ZP');

plot(tout_ZP/3600,T_ut1_ZP, 'Color',[1 0 0], 'LineWidth',2);hold on;
plot(tout_ZP/3600,T_ut2_ZP, 'Color',[0 0 1], 'LineWidth',2);
ylim([30 70]);
xlim([0 max_tout_ZP]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Prbh teplot v systmu UT - zimn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_u_t [C]')
xlabel('t [h]')  
legend('\vartheta_u_t_1','\vartheta_u_t_2','Location', 'northwest');

elseif graf == 7
hold off;
Q_ut_ZP=evalin('base', 'Q_ut_ZP');
Q_tuv_ZP=evalin('base', 'Q_tuv_ZP');
Q_celk_ZP=Q_tuv_ZP+Q_ut_ZP;

plot((tout_ZP/3600),Q_ut_ZP/1e6/3.6, 'Color',[1 0 0], 'LineWidth',2);hold on;
plot((tout_ZP/3600),Q_tuv_ZP/1e6/3.6, 'Color',[0 0 1], 'LineWidth',2);
plot((tout_ZP/3600),Q_celk_ZP/1e6/3.6, 'Color',[0 0 0], 'LineWidth',2);
xlim([0 max_tout_ZP]);
set(gca,'XTick',[0:1:max_tout_ZP])
box on;
grid on;
title('Dodan teplo do systmu T a TUV - zimn provoz', 'FontSize',10, 'FontName', 'Arial')
ylabel('Q [kWh]')
xlabel('t [h]')    
legend('T','TUV','Celkem', 'Location', 'west');

elseif graf == 8
hold off;
KJ_1stupen_LP=evalin('base', 'KJ_1stupen_LP');
KJ_2stupen_LP=evalin('base', 'KJ_2stupen_LP');

plot(tout_LP/3600,KJ_1stupen_LP, 'Color',[0 0 1], 'LineWidth',3);hold on;
plot((tout_LP/3600),KJ_2stupen_LP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_LP]);
ylim([0 1.1]);
set(gca,'XTick',[0:1:max_tout_LP])
set(gca,'YTick',[0:1:1])
box on;
grid on;
title('Prbh spoutn KJ - letn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('on/off [-]')
xlabel('t [h]')
legend('Stirling. mot.','pikovac kotel', 'Location', 'southeast');    

elseif graf == 9

hold off;
TUV_cp_LP=evalin('base', 'TUV_cp_LP');

plot((tout_LP/3600),TUV_cp_LP, 'Color',[1 0 0], 'LineWidth',3);
xlim([0 max_tout_LP]);
ylim([0 1.1]);
set(gca,'XTick',[0:1:max_tout_LP])
set(gca,'YTick',[0:1:1])
box on;
grid on;
title('asov pln TUV - letn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('on/off [-]')
xlabel('t [h]')   

elseif graf == 10
hold off;
Q_kj_LP=evalin('base', 'Q_kj_LP');    
E_kj_LP=evalin('base', 'E_kj_LP');

plot((tout_LP/3600),Q_kj_LP/1e6/3.6, 'Color',[1 0 0], 'LineWidth',2);hold on;
plot((tout_LP/3600),E_kj_LP, 'Color',[0 0 0], 'LineWidth',2);
xlim([0 max_tout_LP]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Vyroben teplo a elektina KJ - letn provoz', 'FontSize',10, 'FontName', 'Arial')
ylabel('Q_k_j , E_k_j [kWh]')
xlabel('t [h]')    
legend('Teplo','Elektina', 'Location', 'west');    

elseif graf == 11
hold off;
Tan_LP=evalin('base', 'Tan_LP');

plot(tout_LP/3600,Tan_LP, 'LineWidth',2);
xlim([0 max_tout_LP]);
ylim([30 70]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Rozloen teploty vody v akumulan ndri - letn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_a_n [C]')
xlabel('t [h]')    
    
elseif graf == 12
hold off;
T_tuv_LP=evalin('base', 'T_tuv_LP');

plot(tout_LP/3600,T_tuv_LP, 'Color',[1 0 0], 'LineWidth',2);
xlim([0 max_tout_LP]);
ylim([50 70]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Prbh teploty TUV - letn provoz', 'FontSize',10, 'FontName', 'Arial') 
ylabel('\vartheta_t_u_v [C]')
xlabel('t [h]')    

elseif graf == 13
hold off;
Q_tuv_LP=evalin('base', 'Q_tuv_LP');

plot((tout_LP/3600),Q_tuv_LP/1e6/3.6, 'Color',[0 0 1], 'LineWidth',2);
xlim([0 max_tout_LP]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Dodan teplo do systmu TUV - letn provoz', 'FontSize',10, 'FontName', 'Arial')
ylabel('Q [kWh]')
xlabel('t [h]')    

end


% --- Executes on button press in pushbutton_end.
function pushbutton_end_Callback(hObject, eventdata, handles)

close KJgui_grafy
