function varargout = KJgui_kumulace_uspory(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @KJgui_kumulace_uspory_OpeningFcn, ...
                   'gui_OutputFcn',  @KJgui_kumulace_uspory_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end


% --- Executes just before KJgui_kumulace_uspory is made visible.
function KJgui_kumulace_uspory_OpeningFcn(hObject, eventdata, handles, varargin)

% Choose default command line output for KJgui_kumulace_uspory
handles.output = hObject;
axes(handles.axes2)
imshow('picture/kumulace.png')

axes(handles.axes1)
Ucelk_sim=evalin('base', 'Ucelk_sim');
Ucelk_vyp=evalin('base', 'Ucelk_vyp');
Ki_usp=evalin('base', 'Ki_usp');
pocet_let=evalin('base', 'pocet_let');

rok=[0:1:pocet_let];
Uspora=[];
i=1;

for i=1:(pocet_let+1)
usp_sim=-Ki_usp+Ucelk_sim*rok(:,i);
USP_sim(:,i)=usp_sim;
usp_vyp=-Ki_usp+Ucelk_vyp*rok(:,i);
USP_vyp(:,i)=usp_vyp;
end

bar(rok,USP_sim/1000,0.5); hold on;
bar(rok,USP_vyp/1000,0.2,'r');
xlim([0 pocet_let]);
set(gca,'XTick',[0:1:pocet_let])
grid on
title('Kumulativn spora nklad na energie s KJ', 'FontSize',10, 'FontName', 'Arial')
ylabel('spory nklad [x10^3 K]')
xlabel('Rok')
legend('Simulac','Vpotem', 'Location', 'southeast');
 
% Update handles structure
guidata(hObject, handles);



function varargout = KJgui_kumulace_uspory_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


% --- Executes on button press in pushbutton_end.
function pushbutton_end_Callback(hObject, eventdata, handles)

close KJgui_kumulace_uspory
