function varargout = graf_Ekj_LP(varargin)
%GRAF_EKJ_LP M-file for graf_Ekj_LP.fig
%      GRAF_EKJ_LP, by itself, creates a new GRAF_EKJ_LP or raises the existing
%      singleton*.
%
%      H = GRAF_EKJ_LP returns the handle to a new GRAF_EKJ_LP or the handle to
%      the existing singleton*.
%
%      GRAF_EKJ_LP('Property','Value',...) creates a new GRAF_EKJ_LP using the
%      given property value pairs. Unrecognized properties are passed via
%      varargin to graf_Ekj_LP_OpeningFcn.  This calling syntax produces a
%      warning when there is an existing singleton*.
%
%      GRAF_EKJ_LP('CALLBACK') and GRAF_EKJ_LP('CALLBACK',hObject,...) call the
%      local function named CALLBACK in GRAF_EKJ_LP.M with the given input
%      arguments.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help graf_Ekj_LP

% Last Modified by GUIDE v2.5 17-May-2013 23:31:57

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @graf_Ekj_LP_OpeningFcn, ...
                   'gui_OutputFcn',  @graf_Ekj_LP_OutputFcn, ...
                   'gui_LayoutFcn',  [], ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
   gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before graf_Ekj_LP is made visible.
function graf_Ekj_LP_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   unrecognized PropertyName/PropertyValue pairs from the
%            command line (see VARARGIN)

% Choose default command line output for graf_Ekj_LP
handles.output = hObject;

tout_LP=evalin('base', 'tout_LP');
max_tout_LP=max(tout_LP)/3600;

axes(handles.axes1)
E_kj_LP=evalin('base', 'E_kj_LP');

plot((tout_LP/3600),E_kj_LP, 'Color',[0 0 0], 'LineWidth',2);
ylim([0 10]);
xlim([0 max_tout_LP]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Vyroben elektina KJ', 'FontSize',10, 'FontName', 'Arial')
ylabel('E_k_j [kWh]')
xlabel('t [h]')    


axes(handles.axes2)

Pel_kj_LP=evalin('base', 'Pel_kj_LP');

plot((tout_LP/3600),Pel_kj_LP/1000, 'Color',[0 0 0], 'LineWidth',2);
ylim([0 1.5]);
xlim([0 max_tout_LP]);
set(gca,'XTick',[0:1:max_tout_LP])
box on;
grid on;
title('Prbh elektrickho vkonu KJ', 'FontSize',10, 'FontName', 'Arial')
ylabel('P_e_l _k_j [kW]')
xlabel('t [h]') 

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes graf_Ekj_LP wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = graf_Ekj_LP_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton_end.
function pushbutton_end_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_end (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close graf_Ekj_LP
